=== etc/Makefile ===

ETC_DFILES	= Makefile xmp.conf modules.conf xmp.spec
ETC_PATH	= etc

install-etc:
	@[ -d $(DESTDIR)$(SYSCONFDIR) ] || mkdir -p $(DESTDIR)$(SYSCONFDIR)
	@echo "Installing xmp.conf in $(SYSCONFDIR)"
	@$(INSTALL_DATA) $(ETC_PATH)/xmp.conf $(DESTDIR)$(SYSCONFDIR)/
	@echo "Installing modules.conf in $(SYSCONFDIR)"
	@$(INSTALL_DATA) $(ETC_PATH)/modules.conf $(DESTDIR)$(SYSCONFDIR)/

dist-etc:
	mkdir -p $(DIST)/$(ETC_PATH)
	cp -RPp $(addprefix $(ETC_PATH)/,$(ETC_DFILES)) $(DIST)/$(ETC_PATH)
