=== src/loaders/prowizard/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 		  mp.o np1.o np2.o np3.o p60a.o p61a.o pm10c.o pm18a.o \
 		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
 		  tp3.o p40.o xann.o p50a.o pp21.o starpack.o titanics.o \
-		  skyt.o novotrade.o hrt.o
-PROWIZ_OBJS2	= noiserun.o pm.o pm01.o \
+		  skyt.o novotrade.o hrt.o noiserun.o
+PROWIZ_OBJS2	= pm.o pm01.o \
 		  pm20.o pm40.o pp10.o pp30.o tp1.o tp2.o
 PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
 PROWIZ_PATH	= src/loaders/prowizard
