## xmp 3.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
-VERSION	= 3.3.0
+VERSION	= 3.4.0
 DIST    = xmp-$(VERSION)
-MODULES = "graff-strange_land.xm"
+MODULES = "SynthSong1"
 DFILES  = README INSTALL configure configure.in Makefile Makefile.rules.in \
 	  scripts $(MODULES)
 DDIRS	= docs drivers etc include loaders misc player plugin prowiz win32 \
@@ -38,7 +38,7 @@
 .SUFFIXES: .c .o .lo .a .so .dll
 
 # Implicit rules for object generation. Position-independent code is intended
-# to be used in plugins, so it's also built thread-safe and with the callback
+# to be used in plugins, so it's also built thread-safe and with the smixer
 # driver only.
 
 .c.o:
