=== debian/changelog ===
xmp (3.4.0-3) unstable; urgency=low

  * QA upload.
  * Add CVE-2013-1980.patch patch.
    CVE-2013-1980: fix MASI parsing buffer overflow. (Closes: #706667)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2013 08:51:40 +0200

xmp (3.4.0-2) unstable; urgency=low

  * QA upload.
  * Enable PulseAudio support (Closes: #650876).
  * debian/patches/audacious-3.3.patch:
    - Fix FTBFS with audacious 3.3 (Closes: #707424, LP: #1076497)
  * debian/patches/fix-audacious-xmp-plugin.patch:
    - Fix crash in audacious xmp plugin. Patch by Lem (~lem-jjr). (LP: #1066868)
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to short-form debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 12 May 2013 16:34:17 +0200

xmp (3.4.0-1.1) unstable; urgency=low

  * NMU upload.
  * debian/patches/audacious-3.1.patch:
    - Fix FTBFS with Audacious 3.2. (Closes: #657592)
  * debian/xmp-audacious.install:
    - Cope with audacious being built for multiarch. Thanks to
      Colin Watson for sending a fix!

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 21 Apr 2012 15:50:30 +0200

xmp (3.4.0-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Switch to dpkg-source format version 3.0 (quilt).
  * Drop article from descriptions.
  * Update build-depends. (Closes: #634743)
  * debian/control: Drop conflicts.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 11 Aug 2011 10:02:29 +0200

xmp (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated years.
  * Bump standards version to 3.9.1.
  * Bump debhelper version to 8.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 02 Dec 2010 15:19:42 +0100

xmp (3.2.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #586565)
  * debian/control
    - set "Standards-Version: 3.8.4"
    - Update Build-Depends from "audacious-plugins-dev" to "audacious-dev"
     (Closes: #583984)
    - add "Depends: ${misc:Depends}" to each package

 -- Hideki Yamane <henrich@debian.org>  Tue, 29 Jun 2010 00:06:50 +0900

xmp (3.0.0+20090923-1) unstable; urgency=low

  * New upstream version.
  * Drop support for Arts and ESD and NAS, because
    they are obsoleted.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 23 Sep 2009 15:18:20 +0200

xmp (2.7.1-2) unstable; urgency=low

  * Fix manpage. (Closes: #542200)
  * Fix ./configure. (Closes: #541799)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 23:06:11 +0200

xmp (2.7.1-1) unstable; urgency=low

  * New upstream version. (Closes: #483389, #442147)
  * Updated debian/copyright.
  * Don't build xmp-x11 anymore since it won't exist anymore.
  * debian/control: recommend unmo3.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 21 Jul 2009 09:19:14 +0200

xmp (2.6.1-1) unstable; urgency=low

  * New upstream version.
  * Update my email address.
  * Bump debhelper version.
  * Bump standards version.
  * Updated debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 29 Jun 2009 22:20:49 +0200

xmp (2.5.1-1) unstable; urgency=low

  * New upstream version.
  * Build audacious plugin. (Closes: #454630)
  * Add myself to Uploaders: after discussing with Gürkan.
  * Fix XMP plugin behaviour when built against Audacious 1.4 or later.
  * Remove XMMS plugin since XMMS is pending removal in Lenny.
  * Remove "shared" debian/copyright and debian/changelog insanity.
  * Majorly rework debian/rules to bring it in line with current standards and
    policy.
  * Fix FTBFS on Debian/kFreeBSD.
  * Fix watch file. (Closes: #453558)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sat, 08 Dec 2007 18:45:32 -0600

xmp (2.5.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Priority optional, updated standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 28 Nov 2007 11:08:48 +0100

xmp (2.5.0-pre2-1) experimental; urgency=low

  * New upstream version.
  * debian/control: Added libpulse-dev to build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 12 Nov 2007 14:24:24 +0100

xmp (2.4.1-1) unstable; urgency=low

  * New upstream version. (Closes: #448587)
  * New maintainer.
  * Cleaned up debian/rules.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 04 Nov 2007 23:16:11 +0100

xmp (2.3.2-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Typo in manpage fixed by upstream (closes: #442147).
  * Problems with impulse tracker mods seem also be fixed now
    (closes: #356204).
  * Add --enable-nas, --enable-arts to configure flags.
  * Remove libxmp2, xmp-alsa, and xmp-esd packages, since dynamic compilation
    of drivers is no longer supported.
  * X11 version was also dropped, made xmp-x11 dummy package depending on xmp.
  * Change architecture of xmp-common and xmp-x11 to all.
  * Move homepage URL from packages' descripions to its own fields.
  * Switch to ${binary:Version} instead of ${Source-Version}.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Oct 2007 17:05:36 +0200

xmp (2.0.4d-12) unstable; urgency=low

  * Orphaning package, set maintainer to Debian QA Group.
  * Update config.{guess,sub}.
  * Turn /usr/share/doc/libxmp2 symlink into a regular directory.
  * Drop libxmp2 dependancy on xmp-common (closes: #355408).
  * Remove outdated xmp.preinst.
  * Standards-Version: 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2007 22:03:31 +0200

xmp (2.0.4d-11) unstable; urgency=low

  * Add libxt-dev to build-dependencies to fix FTBFS.
  * Update config.{guess,sub}.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Dec 2005 22:27:33 +0100

xmp (2.0.4d-10) unstable; urgency=low

  * Remove xlibs-dev build-dependency, use libxext-dev, libx11-dev instead.
  * Update FSF address in the copyright file (lintian).
  * Switch to debhelper v5.
  * Standards-Version: 3.6.2 (no changes).
  * Update debian/watch file, use qa.debian.org/watch/sf.php for the upstream
    site.


