=== debian/control ===
Source: xmp
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Build-Depends: audacious-dev (>= 3.2-2),
               autotools-dev,
               debhelper (>= 9),
               libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
               libaudio-dev (>= 1.9),
               libpulse-dev,
               libx11-dev,
               libxext-dev,
               libxt-dev
Homepage: http://xmp.sourceforge.net/

Package: xmp-common
Architecture: all
Depends: ${misc:Depends}
Replaces: xmp (<< 1.1.3-2)
Description: common files for xmp and the xmp Audacious plugin
 This package contains configuration and documentation files and
 the OSS PCM audio and sequencer drivers for xmp and
 xmp-audacious.

Package: xmp
Architecture: any
Depends: xmp-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: xmp-player
Recommends: unmo3
Suggests: lha
Description: module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

Package: xmp-audacious
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: xmp-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: audacious, unmo3
Provides: xmp-player
Description: XMP plugin for Audacious
 This package contains an xmp plugin for Audacious, supporting more
 than 40 module formats including Protracker variants, packed MODs,
 S3M, XM, IT with filters, exotic formats and Adlib modules.
