=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-audacious-plugin --enable-pulseaudio

override_dh_auto_clean:
	[ ! -f Makefile.rules ] || $(MAKE) clean
	rm -f src/drivers/smix.lo src/main/xmp src/plugin/audacious3.lo src/plugin/xmp-audacious3.so
	rm -f config.log config.status
