## xmp 4.0.6

=== debian/changelog ===
xmp (4.0.6-1) unstable; urgency=low

  * New maintainer (closes: #691840).
  * New upstream version, based on libxmp (closes: #717855):
    - supports ALSA output (closes: #636862);
    - splits the audacious plugin into a separate project, so remove
      xmp-audacious and xmp-common;
    - supports LHA archives using a build-in decompressor in libxmp
      (closes: #697629);
    - displays total duration and elapsed time (closes: #191109).
  * Standards-Version 3.9.5, no change required.
  * Patch the manpage to fix hyphens used as minus signs.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2013 23:21:37 +0100
