=== debian/control ===
Source: xmp
Section: sound
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
               libaudio-dev (>= 1.9),
               libpulse-dev,
               libxmp-dev
Homepage: http://xmp.sourceforge.net/

Package: xmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xmp-player
Replaces: xmp-common (<< 4.0.6)
Description: module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.
