## xmp 4.0.8

=== debian/changelog ===
xmp (4.0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:57:39 +0200

xmp (4.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Drop manpage-hyphens.patch, merged upstream.
  * Switch to dh-autoreconf (the upstream package is built with automake
    1.13 and requires that, so autotools_dev no longer works).
  * Add packaging repository information.
  * Switch to machine-readable format for debian/copyright.
  * Change priority to extra to match overrides.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Mar 2014 07:53:06 +0100
