=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: xmp
 Section: sound
-Priority: optional
+Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               dh-autoreconf,
                libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
                libaudio-dev (>= 1.9),
                libpulse-dev,
                libxmp-dev
 Homepage: http://xmp.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/xmp.git
+Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/xmp.git;a=summary
 
 Package: xmp
 Architecture: any
