## xmp 4.0.9

=== debian/changelog ===
xmp (4.0.9-1) unstable; urgency=medium

  * New upstream version, requiring libxmp 4.3 or later.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Sep 2014 00:22:23 +0200
