=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
                libaudio-dev (>= 1.9),
                libpulse-dev,
-               libxmp-dev
+               libxmp-dev (>= 4.3)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/xmp.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/xmp.git;a=summary
