## xmp 4.0.10

=== debian/changelog ===
xmp (4.0.10-2) unstable; urgency=medium

  * Add license information for src/sound_aiff.c.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 May 2015 00:41:12 +0200

xmp (4.0.10-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Dec 2014 23:54:24 +0100
