## xmp 4.0.11

=== debian/changelog ===
xmp (4.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 22:52:31 +0100
