## xmp 4.1.0

=== debian/changelog ===
xmp (4.1.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Record that spelling-fixes.patch has been forwarded upstream.
  * Fix the email addresses in the changelog.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.
  * Fix the apostrophes in the man page.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Oct 2020 21:38:06 +0200

xmp (4.1.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Change priority to “optional”.
  * Fix a spelling mistake in the manpage (thanks Lintian).
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 19:43:11 +0200

xmp (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 12:42:23 +0200
