=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xmp
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: sound
-Priority: extra
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev | libasound-dev [linux-any],
                libaudio-dev,
                libpulse-dev,
-               libxmp-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xmp.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xmp.git
+               libxmp-dev (>= 4.4)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/mod-player-team/xmp
+Vcs-Git: https://salsa.debian.org/mod-player-team/xmp.git
 Homepage: http://xmp.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: xmp
 Architecture: any
