## xmp 4.2.0

=== debian/changelog ===
xmp (4.2.0-2) unstable; urgency=medium

  * Drop the “Replaces” stanza on xmp-common, it was removed a decade
    ago.
  * Drop the build-dependency on libaudio-dev, it’s no longer used.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Feb 2025 08:47:34 +0100

xmp (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:15:49 +0200

xmp (4.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libxmp-dev.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Stephen Kitt ]
  * Bump debian/watch to version 4, switch to secure URL.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 22:57:15 +0100
