=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev | libasound-dev [linux-any],
-               libaudio-dev,
                libpulse-dev,
-               libxmp-dev (>= 4.4)
-Standards-Version: 4.5.0
+               libxmp-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mod-player-team/xmp
 Vcs-Git: https://salsa.debian.org/mod-player-team/xmp.git
-Homepage: http://xmp.sourceforge.net/
+Homepage: https://xmp.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: xmp
@@ -18,7 +17,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Provides: xmp-player
-Replaces: xmp-common (<< 4.0.6)
 Description: module player supporting AWE32, GUS, and software-mixing
  xmp is a multi-format module player for UNIX. In machines with GUS or
  AWE cards xmp takes advantage of the OSS sequencer to play modules with
